
// Persistence of Vision Ray Tracer Scene Description File
// File: bike_chn.pov
// Vers: 3
// Desc: sample bike chain-like link
// Date: 02/19/97
// Auth: Rob Antonishen
//

#version 3

#include "colors.inc"

global_settings
{
  assumed_gamma 1.0
}

// ----------------------------------------
camera
{
  location  <0.0, 2, -5>
  direction 1.5*z
  right     4/3*x
  look_at   <0.0, 0,  0.0>
}

sky_sphere
{
  pigment
  {
    gradient y
    color_map { [0.0 color blue 0.6] [1.0 color rgb 1] }
  }
}

light_source
{
  0*x // light's position (translated below)
  color red 1.0  green 1.0  blue 1.0  // light's color
  translate <-30, 30, -30>
}

// ----------------------------------------
plane { y, -1 pigment {color rgb <0.7,0.5,0.3>}}


#declare link =           // bike-chain-like link
union {
  cylinder{ <0,0,-0.2>, <0,0,0>, 0.4 pigment { White }}
  cylinder{ <1,0,-0.2>, <1,0,0>, 0.4 pigment { White }}
  box { <0,-0.4,-0.2>, <1,0.4,-0.05> pigment { White }}
  cylinder{ <0,0,-0.21>, <0,0,0.21>, 0.2 pigment { White/4 }}
  finish {
    ambient .2
    diffuse .6
    phong .75
    phong_size 25
    metallic
  }
}

#declare link_length = 0.2
#declare link_rotation = 180
#declare link_error = 0.01 // (fraction of link_length)
#declare chain_start=<1,1.5,-1>
#declare chain_end=<-1,1,1>
#declare chain_scale=1      // chain scale
// #declare chain_debug=on

#include "chain11.inc"
